//CGfxAdboard - [2020-04-13 11:57:46]
#ifndef _CGFXADBOARD_H_
#define _CGFXADBOARD_H_

#include "CFTTXmlReaderNode.h"


/*
001919A8 CGfxAdboard::CGfxAdboard()
001919CC CGfxAdboard::~CGfxAdboard()
0019192C CGfxAdboard::InitMain()
00191988 CGfxAdboard::ShutdownMain()
00191998 CGfxAdboard::Get()
001919DE CGfxAdboard::AdboardsShutdown()
00191A14 CGfxAdboard::Shutdown()
00191F8C CGfxAdboard::GetAdboardByName(char const*)
00193B80 CGfxAdboard::AdboardsSetup(CFTTXmlReaderNode *)
001943D8 CGfxAdboard::Init()
001947D4 CGfxAdboard::InitTexture()
001948D8 CGfxAdboard::ResetTick(int,bool)
001949C8 CGfxAdboard::AdboardsRender(int)
00194C3C CGfxAdboard::Render()
00194CD0 CGfxAdboard::UpdateTexture(int)
00194DA0 CGfxAdboard::RenderShadow()
001A9F84 CGfxAdboard::AdboardsRandomiseOrder()
*/

class CGfxAdboard {
public:
  CGfxAdboard();                            //001919A8
  ~CGfxAdboard();                           //001919CC
  static void InitMain();                   //0019192C
  static void ShutdownMain();               //00191988
  static CGfxAdboard *Get();                //00191998
  void AdboardsShutdown();                  //001919DE
  void Shutdown();                          //00191A14
  void GetAdboardByName(char const *);      //00191F8C
  void AdboardsSetup(CFTTXmlReaderNode *);  //00193B80
  static void Init();                       //001943D8
  void InitTexture();                       //001947D4
  void ResetTick(int, bool);                //001948D8
  void AdboardsRender(int);                 //001949C8
  void Render();                            //00194C3C
  void UpdateTexture(int);                  //00194CD0
  void RenderShadow();                      //00194DA0
  void AdboardsRandomiseOrder();            //001A9F84

  static CGfxAdboard* ms_pcInstance;

  uchar   m_unknown_0[0x38];
  int     m_i_38;
};

#endif  //_CGFXADBOARD_H_